commit cebbbc1596001e86c3c4d5f2223ddac50e5e0bb8
Author: Segher Boessenkool <segher@kernel.crashing.org>
Date:   Tue Apr 26 11:26:09 2022 +0000

    rs6000: Make the has_arch target selectors actually work
    
    2022-04-26  Segher Boessenkoool  <segher@kernel.crashing.org>
    
    gcc/testsuite/
            PR target/105349
            * lib/target-supports.exp (check_effective_target_has_arch_pwr5): Use
            the specified dg-options.
            (check_effective_target_has_arch_pwr6): Ditto.
            (check_effective_target_has_arch_pwr7): Ditto.
            (check_effective_target_has_arch_pwr8): Ditto.
            (check_effective_target_has_arch_pwr9): Ditto.
            (check_effective_target_has_arch_ppc64): Ditto.
    
    (cherry picked from commit ad56a60f58c1ed662deaf60d5736c332ec2caabb)

diff --git a/gcc/testsuite/lib/target-supports.exp b/gcc/testsuite/lib/target-supports.exp
index 138138c6584..31a531c7c6b 100644
--- a/gcc/testsuite/lib/target-supports.exp
+++ b/gcc/testsuite/lib/target-supports.exp
@@ -5863,63 +5863,63 @@ proc check_effective_target_powerpc_p9modulo_ok { } {
 # return 1 if our compiler returns the ARCH_PWR defines with the options
 # as provided by the test.
 proc check_effective_target_has_arch_pwr5 { } {
-	return [check_no_compiler_messages arch_pwr5 assembly {
+	return [check_no_compiler_messages_nocache arch_pwr5 assembly {
 		#ifndef _ARCH_PWR5
 		#error does not have power5 support.
 		#else
 		/* "has power5 support" */
 		#endif
-	}]
+	} [current_compiler_flags]]
 }
 
 proc check_effective_target_has_arch_pwr6 { } {
-	return [check_no_compiler_messages arch_pwr6 assembly {
+	return [check_no_compiler_messages_nocache arch_pwr6 assembly {
 		#ifndef _ARCH_PWR6
 		#error does not have power6 support.
 		#else
 		/* "has power6 support" */
 		#endif
-	}]
+	} [current_compiler_flags]]
 }
 
 proc check_effective_target_has_arch_pwr7 { } {
-	return [check_no_compiler_messages arch_pwr7 assembly {
+	return [check_no_compiler_messages_nocache arch_pwr7 assembly {
 		#ifndef _ARCH_PWR7
 		#error does not have power7 support.
 		#else
 		/* "has power7 support" */
 		#endif
-	}]
+	} [current_compiler_flags]]
 }
 
 proc check_effective_target_has_arch_pwr8 { } {
-	return [check_no_compiler_messages arch_pwr8 assembly {
+	return [check_no_compiler_messages_nocache arch_pwr8 assembly {
 		#ifndef _ARCH_PWR8
 		#error does not have power8 support.
 		#else
 		/* "has power8 support" */
 		#endif
-	}]
+	} [current_compiler_flags]]
 }
 
 proc check_effective_target_has_arch_pwr9 { } {
-	return [check_no_compiler_messages arch_pwr9 assembly {
+	return [check_no_compiler_messages_nocache arch_pwr9 assembly {
 		#ifndef _ARCH_PWR9
 		#error does not have power9 support.
 		#else
 		/* "has power9 support" */
 		#endif
-	}]
+	} [current_compiler_flags]]
 }
 
 proc check_effective_target_has_arch_ppc64 { } {
-	return [check_no_compiler_messages arch_ppc64 assembly {
+	return [check_no_compiler_messages_nocache arch_ppc64 assembly {
 		#ifndef _ARCH_PPC64
 		#error does not have ppc64 support.
 		#else
 		/* "has ppc64 support" */
 		#endif
-	}]
+	} [current_compiler_flags]]
 }
 
 # Return 1 if this is a PowerPC target supporting -mcpu=power10.

